Bug 483733 - /usr/sbin/syslogtocern is broken
/usr/sbin/syslogtocern is broken
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: thttpd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 07:52 EST by Petr Lautrbach
Modified: 2009-04-09 17:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 17:06:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Lautrbach 2009-02-03 07:52:57 EST
Description of problem:
thttpd-2.25b-CVE-2005-3124.patch is broken with double `.

Line 
+tmp1=``mktemp -t stc1.XXXXXX` || { echo "$0: Cannot create temporary file" >&2; exit 1;  }

should be
+tmp1=`mktemp -t stc1.XXXXXX` || { echo "$0: Cannot create temporary file" >&2; exit 1;  }




Version-Release number of selected component (if applicable):
since thttpd-2.25b-CVE-2005-3124.patch

How reproducible:
always

Steps to Reproduce:
1. install thttpd
2. run /usr/sbin/syslogtocern with some argument
  
Actual results:
$ /bin/sh -n /usr/sbin/syslogtocern
/usr/sbin/syslogtocern: line 56: unexpected EOF while looking for matching ``'
/usr/sbin/syslogtocern: line 68: syntax error: unexpected end of file

$ /usr/sbin/syslogtocern file
/usr/sbin/syslogtocern: line 56: unexpected EOF while looking for matching ``'
/usr/sbin/syslogtocern: line 68: syntax error: unexpected end of file

  
Expected results:


Additional info:
Comment 1 Matthias Saou 2009-04-09 17:06:21 EDT
I'll take care of this at the same time I'll take care of the rest reported in bug #484205, so I'll close this entry. Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.